Latest 0.59.30 update not applying to Windows

windows
bug
#1

Description of the issue:
Followed the install instructions at for the 0.59.30 release by using the BraveBrowserSetup.exe (https://github.com/brave/brave-browser/releases) file on an a Windows 10 (64-bit) PC with an existing 0.58.21 installation. It didn’t apply at first so I uninstalled Brave and re-ran the installation, but the version is still stuck at 0.58.21 and Brave reports that it’s up to date.

Steps to Reproduce (add as many as necessary):

  1. Download the BraveBrowserSetup.exe
  2. Close Brave
  3. Run the installer
    At this point it’ll finish installing successfully but will be stuck at 0.58.21. I also tried the brave_installer-x64.exe

Actual Result (gifs and screenshots are welcome!):
**

Expected result:
I was able to upgrade successfully on my Linux PC (albeit not without some issues) and was hoping the Windows install would work as well so I could use Sync.

Reproduces how often:
N/A? Every time.

Brave Version(about:brave):
0.58.21

**Reproducible on current live release (yes/no):
Yes.

Additional Information:

0 Likes

#2

Maybe that happens because it is still marked as “pre-release” .
But what I did was to download and install the big one https://github.com/brave/brave-browser/releases/download/v0.59.30/BraveBrowserStandaloneSetup.exe and that worked, no problems. Which would be better since I can install it and I don’t even need to whitelist it on my firewall to install it.

1 Like

#3

@ckirkeby Thanks for reporting. 0.59.30 is not yet released, that’s the reason you weren’t able to update 0.58.21. It will be release on 29th Jan. Till then If you would like to work on 0.59.30, you can download offline installer BraveBrowserStandaloneSetup.exe.

Thanks!

0 Likes

#4

Yeah I noticed the same thing when I downloaded and installed the “BraveBrowserSetup.exe”. It still showed 0.58.21. I’ll try the offline installer after a bit here. If download an RPM copy of that release for linux, will it show the 0.58.21 version too?

0 Likes

#5

@matteopa I have just installed brave-browser_0.59.30_amd64.deb on my Linux mint It’s showing to 0.59.30. I have never tried RPM, but i think it should show 0.59.30.

Thanks!

0 Likes

#6

Oh okay, great! I could just download the RPM then and extract it over top the 0.58.21 version files… with “rpmextract”. Then I don’t have to go hunting and removing old Brave files etc.

0 Likes

closed #7

This topic was automatically closed after 30 days. New replies are no longer allowed.

0 Likes